
From: Christian Neumair <chris@gnome-de.org>

The patch sent with this email fixes the following compile problem:

In file included from arch/i386/kernel/acpi/boot.c:34:
include/asm-i386/mach-numaq/mach_apic.h: In function
`setup_portio_remap':
include/asm-i386/mach-numaq/mach_apic.h:96: `xquad_portio' undeclared
(first use in this function)
include/asm-i386/mach-numaq/mach_apic.h:96: (Each undeclared identifier
is reported only once
include/asm-i386/mach-numaq/mach_apic.h:96: for each function it appears
in.)
include/asm-i386/mach-numaq/mach_apic.h:96: warning: implicit
declaration of function `ioremap'
include/asm-i386/mach-numaq/mach_apic.h:96: `XQUAD_PORTIO_BASE'
undeclared (first use in this function)
include/asm-i386/mach-numaq/mach_apic.h:96: `XQUAD_PORTIO_QUAD'
undeclared (first use in this function)
include/asm-i386/mach-numaq/mach_mpparse.h: At top level:
include/asm-i386/mach-numaq/mach_mpparse.h:5: warning:
`smp_read_mpc_oem' declared `static' but never defined
make[2]: *** [arch/i386/kernel/acpi/boot.o] Fehler 1
make[1]: *** [arch/i386/kernel/acpi] Fehler 2
make: *** [arch/i386/kernel] Fehler 2



 arch/i386/kernel/acpi/boot.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/acpi/boot.c~acpi-build-fix arch/i386/kernel/acpi/boot.c
--- 25/arch/i386/kernel/acpi/boot.c~acpi-build-fix	2003-03-24 09:32:32.000000000 -0800
+++ 25-akpm/arch/i386/kernel/acpi/boot.c	2003-03-24 09:32:32.000000000 -0800
@@ -26,9 +26,10 @@
 #include <linux/init.h>
 #include <linux/config.h>
 #include <linux/acpi.h>
-#include <asm/pgalloc.h>
 #include <asm/apic.h>
+#include <asm/io.h>
 #include <asm/mpspec.h>
+#include <asm/pgalloc.h>
 
 #if defined (CONFIG_X86_LOCAL_APIC)
 #include <mach_apic.h>

_
